<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LSipTrunkDestination StructType
 * @subpackage Structs
 */
class LSipTrunkDestination extends AbstractStructBase
{
    /**
     * The addressIpv4
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $addressIpv4;
    /**
     * The addressIpv6
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $addressIpv6;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $port;
    /**
     * The sortOrder
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sortOrder;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LSipTrunkDestination
     * @uses LSipTrunkDestination::setAddressIpv4()
     * @uses LSipTrunkDestination::setAddressIpv6()
     * @uses LSipTrunkDestination::setPort()
     * @uses LSipTrunkDestination::setSortOrder()
     * @uses LSipTrunkDestination::setUuid()
     * @param string $addressIpv4
     * @param string $addressIpv6
     * @param string $port
     * @param string $sortOrder
     * @param string $uuid
     */
    public function __construct($addressIpv4 = null, $addressIpv6 = null, $port = null, $sortOrder = null, $uuid = null)
    {
        $this
            ->setAddressIpv4($addressIpv4)
            ->setAddressIpv6($addressIpv6)
            ->setPort($port)
            ->setSortOrder($sortOrder)
            ->setUuid($uuid);
    }
    /**
     * Get addressIpv4 value
     * @return string|null
     */
    public function getAddressIpv4()
    {
        return $this->addressIpv4;
    }
    /**
     * Set addressIpv4 value
     * @param string $addressIpv4
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSipTrunkDestination
     */
    public function setAddressIpv4($addressIpv4 = null)
    {
        $this->addressIpv4 = $addressIpv4;
        return $this;
    }
    /**
     * Get addressIpv6 value
     * @return string|null
     */
    public function getAddressIpv6()
    {
        return $this->addressIpv6;
    }
    /**
     * Set addressIpv6 value
     * @param string $addressIpv6
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSipTrunkDestination
     */
    public function setAddressIpv6($addressIpv6 = null)
    {
        $this->addressIpv6 = $addressIpv6;
        return $this;
    }
    /**
     * Get port value
     * @return string|null
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSipTrunkDestination
     */
    public function setPort($port = null)
    {
        $this->port = $port;
        return $this;
    }
    /**
     * Get sortOrder value
     * @return string|null
     */
    public function getSortOrder()
    {
        return $this->sortOrder;
    }
    /**
     * Set sortOrder value
     * @param string $sortOrder
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSipTrunkDestination
     */
    public function setSortOrder($sortOrder = null)
    {
        $this->sortOrder = $sortOrder;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSipTrunkDestination
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
